MP 1,1-5,1 What you need to do to make Catalina work with MacPro5,1

Discussion in 'Mac Pro' started by tsialex, Jun 3, 2019.

Thread Status:
The first post in this thread is a WikiPost, and can be edited by anyone with the appropriate permissions.
  1. tsialex thread starter macrumors 603

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #351
    All MP3,1 supported Xeons are incompatible and you can't upgrade to a compatible one, so the
    /System/Library/UserEventPlugins/com.apple.telemetry.plugin has to be removed or the boot will hang.
     
  2. Hunterkillz123 macrumors newbie

    Joined:
    Jul 1, 2019
    #352
    Ah thank you.
     
  3. Hunterkillz123 macrumors newbie

    Joined:
    Jul 1, 2019
    #353
    In response To the statement earlier about the Mac 3,1 running and cards, Wy is this an issue? I'm just curious, I'm using a k4000 currently on my Mac 12,1 and the #,1 runs on it. But the 5,1 runs on AMD 560 so is it just a "driver" issue or is there an inherent issue? thanks
     
  4. tsialex thread starter macrumors 603

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #354
    AMD GCN drivers after Sierra need SSE4.2. MP3,1 Xeons don't have it.
     
  5. donluca macrumors regular

    donluca

    Joined:
    Jul 30, 2018
    Location:
    Italy
    #355
    I always wondered if the patched drivers from netkas work in High Sierra. They were made for Mojave, but never read anything about HS.
     
  6. tsialex, Jul 13, 2019
    Last edited: Jul 13, 2019

    tsialex thread starter macrumors 603

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #356
    10.14.5 only and won't work with previous Mojave (or High Sierra), since OpenGL driver needs SSE4.2 too.

    If you want to further discuss this, go to the correct thread MP 1,1-5,1 MP3,1 never dies - Netkas patched AMD METAL drivers to work with MP3,1!
     
  7. Spacedust macrumors 6502a

    Joined:
    May 24, 2009
    #357
    How to download Catalina public beta installer file as it doesn't allow me on Mac Pro 5,1 ?
     
  8. tsialex thread starter macrumors 603

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #358
    There are various workarounds, the simplest way is to use dosdude Catalina patcher http://dosdude1.com/catalina/ to download it.
     
  9. Spacedust macrumors 6502a

    Joined:
    May 24, 2009
    #359
    Thanks. It seems this command only supports whole drive, how about one specific partition like disk2s7 ?

    /Applications/VMware\ Fusion.app/Contents/Library/vmware-rawdiskCreator create /dev/diskX fullDevice ~/Virtual\ Machines.localized/rawDiskFile ide
     
  10. tsialex thread starter macrumors 603

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #360
    Don't do it, you will probably destroy your partition table for the whole disk when the Catalina installer reboots and creates the Recovery partition.

    Catalina is not yet supported with VMware Fusion and the workaround to make it work only works reliably with a full disk.
     
  11. Spacedust macrumors 6502a

    Joined:
    May 24, 2009
    #361
    Installed via dosdude patcher - just created another partition for OS itself on the same NVMe drive. There was no need of using USB drive at all. Standard Wi-Fi after patching worked well. Tested flashed GT630 and GTX770, both worked perfectly well.
     
  12. tstc macrumors newbie

    Joined:
    Aug 15, 2012
    #362
    Thanks to many on this site, and especially @tsialex AND @dosdude1, was finally able to bring my cMacPro5,1 up to current standards from Dec. 2011 (a 1.8 GHz Quad-Core Nehalem w/Radeon 5770 & OSX 10.7 Lion) to: Screen Shot 2019-07-15 at 8.51.22 AM.png
     
  13. Mkoz1999 macrumors newbie

    Mkoz1999

    Joined:
    Jul 5, 2019
    #363
    I got mine to load and work. Everything is working fine.
     

    Attached Files:

  14. tsialex thread starter macrumors 603

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #364
    Catalina DP4 released, build 19A512f, MacPro5,1 still blocked:

    Screen Shot 2019-07-16 at 16.02.38.png Screen Shot 2019-07-16 at 16.03.01.png
     
  15. MrRedfield macrumors newbie

    Joined:
    Jul 8, 2019
    #365
    Does DP4 still work if you install it on a supported system and then transfer it over?
     
  16. tsialex thread starter macrumors 603

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #366
    This is a question for someone with faster internet than mine…
     
  17. mike.101 macrumors newbie

    Joined:
    Oct 25, 2014
    #367
    Yes. I installed it today.
    --- Post Merged, Jul 16, 2019 ---
    Yes, works fine. I still have the -no_compat_check nvram. Hoping apple will allow 5,1 with the required hardware to load without hacks!
     
  18. MrRedfield macrumors newbie

    Joined:
    Jul 8, 2019
    #368
    Would it be worth a bunch of us to send emails to apple and or sign a petition? It doesn't seem like it should be that big of a deal for them to support us MacPro 4,1/5,1 users.
     
  19. Darmok N Jalad macrumors 68000

    Darmok N Jalad

    Joined:
    Sep 26, 2017
    Location:
    Tanagra
    #369
    It would be great for Apple to continue supporting the cMP. However, I have a couple legacy 32bit apps that I still use, so I don't know if I want to migrate. It's that or move to Windows! :eek:
     
  20. bsbeamer macrumors 68020

    Joined:
    Sep 19, 2012
    #370
    Will never be “officially” supported unless Intel releases microcode updates for all MP5,1 processors for MDS mitigation. Intel’s refusal to update the MP5,1 series was not planned in advance and came as a shock to many.
     
  21. crjackson2134 macrumors 601

    crjackson2134

    Joined:
    Mar 6, 2013
    Location:
    Charlotte, NC
    #371
    I doubt there are a sufficient number of users who are even aware of the problem, let-alone the idea to persuade either Intel or Apple to support this. It would have be something, that would significantly impact their financials, and cMP users don’t have that much juice AFAIK.

    As much as I would love to see this, I think it’s over for that kind of support. In fact, I’m sure of it.

    Now go forth, and prove me wrong. Really! I want to be wrong!
     
  22. flowrider macrumors 603

    flowrider

    Joined:
    Nov 23, 2012
    #372
    A petition 1387914497.gif How well did that work with the Nvidia Fiasco 13879dunno.gif

    Lou
     
  23. donluca macrumors regular

    donluca

    Joined:
    Jul 30, 2018
    Location:
    Italy
    #373
    So Intel hasn't released Microcode updates for the Westmere and Nehalem Xeon at all?
    That sounds... strange.
     
  24. bsbeamer macrumors 68020

    Joined:
    Sep 19, 2012
    #374
    They are basically EOL'd. See this guidance from Intel and scroll to Page 21. Westmere EP, WS, EX (EGL, WSM) and Nehalem EP, WS, EX are listed as "Products Not Planned" for microcode updates as of May 2019.

    They are identified under "Section 2 – No planned microcode updates" and now listed as "Products for which Intel does not plan to release microcode updates. This includes products previously identified as such."

    https://www.intel.com/content/dam/w...A00233-microcode-update-guidance_05132019.pdf

    Again, unless Intel releases MDS mitigation microcode updates for MP5,1 processors there will not be official support from Apple for macOS Catalina. Even if they patch, it's unclear but this is a major roadblock. These CPUs are also vulnerable for all future security discoveries as they will also not be patched.
     
  25. bookemdano macrumors 65816

    Joined:
    Jul 29, 2011
    #375
    Maybe someone who has closely followed Apple's history knows differently, but to my knowledge Apple has never backtracked on a macOS/OS X compatibility list once it's been published. Count me as someone very skeptical Apple would change its mind on this even if Intel decided to issue microcode for these CPUs (which itself is unlikely).

    There's even less chance now that they've announced the 2019 Mac Pro.

    This ship has sailed, folks.

    ETA: Sorry bsbeamer, wasn't directing this reply to you. Just for the thread in general.
     
Thread Status:
The first post in this thread is a WikiPost, and can be edited by anyone with the appropriate permissions.

Share This Page